<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%--BEGIN CMVC --%>
<%--***********************************************************************************--%>
<%--                                                                                   --%>
<%--  Workfile: SOACORE/ws/code/cbebrowser/CBEBrowserWeb/jsp/logon/CBEBrowserLogonBanner.jsp, wbi.cbebrowser, WASX.SOACORE                                                                    --%>
<%--  Last update: 07/01/18 04:36:25                                                             --%>
<%--  SCCS path, id: /family/botp/vc/8/4/2/6/s.72 1.4.1.1                                                           --%>
<%--                                                                                   --%>
<%--***********************************************************************************--%>
<%--END CMVC --%>
<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	- Copyright IBM Corporation 2005,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%@ page contentType="text/html;charset=UTF-8" %>

<%@ taglib uri="/WEB-INF/tld/WCLTagLib.tld" prefix="wcl" %>

<%@ page import="com.ibm.wbiserver.cbebrowser.CBEBrowserNlsUtilities"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ICBEBrowserNlsConstants"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ui.servlet.CBEBrowserLogonServlet"%>

<!-- Obtain translated strings up front  -->
<%
java.util.Locale locale = request.getLocale();
String contextPath = request.getContextPath();
String cbebrowserlogoUrl = "url(" + contextPath + "/resources/images/ws_banner_EventBrowser" + CBEBrowserNlsUtilities.getNLSPrefix(locale) + ".jpg)";
String cbebrowserlogoString = CBEBrowserNlsUtilities.getNonMessageString( locale, "ALTTEXT.CBEBROWSERLOGO" );
String ibmlogoUrl = contextPath + "/resources/images/ibm_logo.jpg";
String ibmlogoString = CBEBrowserNlsUtilities.getNonMessageString( locale, "ALTTEXT.IBMLOGO" );
String dividerString = "&nbsp;&nbsp; | &nbsp;&nbsp;";
String helpString = CBEBrowserNlsUtilities.getNonMessageString( locale, "HYPERLINKTEXT.BANNER.HELP" );
String helpUrl = contextPath + CBEBrowserNlsUtilities.getString( ICBEBrowserNlsConstants.RESOURCE_BUNDLE_TEXT, locale, "HELPURL.LOGONPAGES" );

if (session.getAttribute(CBEBrowserLogonServlet.SESSATTR_WCL_FACADE)==null )
{
StringBuffer url = request.getRequestURL();
    String logoff_url;
    int index_CBE = url.lastIndexOf("cbebrowser/");
    if (index_CBE >= 0){
	    logoff_url = url.substring(0, index_CBE)+"cbebrowser/logon";
%>

<html>
<SCRIPT language="javascript">
function load(logoff_url) {
window.open(logoff_url, "_parent", true);
}
</SCRIPT>
</HEAD>
<BODY dir=LTR onLoad="load('<%=logoff_url%>')">
</BODY>
</html>

<%
    }
}else{
%>

<!--
** This is the page that holds the banner and the toolbar.
** This view jsp is driven by the CBEBrowserEventsServlet modeller and controller.
-->


<wcl:Foundation
  objectScope="session"
  pageName="<%=CBEBrowserLogonServlet.PAGENAME_BANNER%>"
  wclFacadeScope="session"
  wclFacadeScopeId="<%=CBEBrowserLogonServlet.SESSATTR_WCL_FACADE%>">
  
  <HTML>

    <HEAD>
      <LINK HREF="<%=request.getContextPath()%>/resources/css/style.css" REL="stylesheet" type="text/css">  
    </HEAD>

    <BODY>
    
      <wcl:WBoxLayout
        objectScopeId="<%=CBEBrowserLogonServlet.LAYOUTNAME_BANNER_VERT%>"
        orientation="vertical"
        gap="0">
        
        <wcl:StyleInfo
          className="com.ibm.psw.wcl.skins.base.BaseSimpleLayoutStyleInfo">
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_SIMPLE_LAYOUT%>" attribute="background" value="<%=cbebrowserlogoUrl%>"/>
          <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_SIMPLE_LAYOUT%>" attribute="title" value="<%=cbebrowserlogoString%>"/>          
        </wcl:StyleInfo>
        
        <wcl:WBoxLayoutCell align="right"><IMG src="<%=ibmlogoUrl%>" alt="<%=ibmlogoString%>" width="112" height="53"/></wcl:WBoxLayoutCell>
        
        <wcl:WBoxLayoutCell>
                        
          <wcl:WBoxLayout
            objectScopeId="<%=CBEBrowserLogonServlet.LAYOUTNAME_BANNER_TOOLBAR%>"
            orientation="horizontal"
            width="100%"
            gap="0">
        
            <wcl:StyleInfo
              className="com.ibm.psw.wcl.skins.base.BaseContainerStyleInfo">
              <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_SIMPLE_LAYOUT%>" attribute="background-color" value="#ADB0EC"/>          
              <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_SIMPLE_LAYOUT%>" attribute="padding-left" value="10px"/>          
              <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_SIMPLE_LAYOUT%>" attribute="padding-right" value="10px"/>          
            </wcl:StyleInfo>
                            
            <wcl:WBoxLayoutCell
              align="left">
              
              <wcl:WBoxLayout
                objectScopeId="<%=CBEBrowserLogonServlet.LAYOUTNAME_BANNER_TOOLBARLEFT%>"
                orientation="horizontal"
                width="null"
                gap="3">
                                                    
                <wcl:WBoxLayoutCell>
                  
                  <wcl:WHyperlink
                    objectScopeId="<%=CBEBrowserLogonServlet.HYPERLINK_BANNER_HELP%>"
                    target="_blank"
                    url="<%=helpUrl%>"
                    text="<%=helpString%>">
                    <wcl:StyleInfo className="com.ibm.psw.wcl.skins.base.BaseHyperlinkStyleInfo">
                      <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_HYPERLINK%>" attribute="color" value="black"/>
                      <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_HYPERLINK%>" attribute="font-weight" value="bold"/>
                      <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_HYPERLINK%>" attribute="font-size" value="70.0%"/>
                    </wcl:StyleInfo>
                  </wcl:WHyperlink>

                </wcl:WBoxLayoutCell>

                <wcl:WBoxLayoutCell>
                    
                  <wcl:WContainer objectScopeId="<%=CBEBrowserLogonServlet.DIVIDER_BANNER_3%>">                      
                
                    <DIV class="top-banner-divider"><%=dividerString%></DIV>
                        
                  </wcl:WContainer>

                </wcl:WBoxLayoutCell>
                                    
              </wcl:WBoxLayout>
            
            </wcl:WBoxLayoutCell>
                        
          </wcl:WBoxLayout>              
           
        </wcl:WBoxLayoutCell>
        
      </wcl:WBoxLayout>
      
    </BODY>

  </HTML>
  
</wcl:Foundation>

<%
}
%>
